#ifndef _feld_h_
#define _feld_h_
/*
 * Datei: feld.h
 * Autor: Holger Klawitter
 * Datum: 13.8.1998
 *
 * Changes:
 * 10.6.1999  Flip added
 * 27.9.1999  +Empty()
 */

//#include <PalmTypes.h>
#include "Compat.h"

extern Byte *feld;
/* Storage for field data.
 */

extern Word hsize;
extern Word vsize;
/* Size and height of a single maki field.
 * These vales will be computed by Alloc()!
 * DO NOT SET THEM!
 */

/**********************************************************************
 * Other variables
 **********************************************************************/
extern Long score;
extern Boolean cheater;

/**********************************************************************
 * Public functions
 **********************************************************************/

void Alloc();
/* Prepares space for fields. Called by Create().
 */

void Dealloc();
/* Removing all data.
 */

void Create(Word seed);
/* Creates a window with height and width and fills it with random
 * values from 1 to colors. (colors included!)
 */

void doSetScore( Long s );
/* Sets the score on display to the specified value.
 */

void Paint();
/* Draws the current window (as is) on screen.
 */

Boolean isLegal( Int x, Int y );
/* Returns true if (x,y) is inside the paint board.
 */

Boolean isMarked( Int x, Int y );
/* Returns true if (x,y) is a legal and marked field.
 */

Boolean isClean();
/* Returns true if the field is completely empty.
 */

Boolean Mark( Int x, Int y );
/* Marks this field and all neighbours with same color.
 * Returns true the mark marks an already marked reagion.
 */

void UnMark();
/* Unmarks the currently marked region.
 */

Boolean Drop();
/* Deletes empty space in colum by letting stones fall from up.
 * and letting columns shift from right to left.
 * Redraws display. Returns true if the game is over.
 */

Boolean Undo();
/* Checks whether Undo is possible.
 * Pops an alert if this is not possible for whatever reason.
 * Returns true if Undo is possible.
 */

void doUndo();
/* Does the actual undo. No checks.
 */

void Flip();
/* Permutates all colors.
 */

Boolean Empty();
/* Returns true if the field is complely empty.
 */

#endif
