#ifndef _hmaki_h_
#define _hmaki_h_
/*
 * Datei: hmaki.h
 * Autor: Holger Klawitter
 * Datum: 23.2.2000
 *
 */
#define MakiID 'hk02'
#define MakiVersion 201

/* Main form */
#define MainForm       1000
#define MakiBoard      1001
#define MakiScore      1002
#define MakiHighScore  1003
#define MakiCleanBoard 1004

/* Main menu */
#define MenuNew    1000
#define MenuOpt    1001
#define MenuAbout  1002
#define MenuUndo   1003
#define MenuHOF    1004
#define MenuSeed   1005
#define MenuShSeed 1006
#define MenuFlip   1007

/* Alerts */
#define GameOverClean  1101
#define GameOver       1102
#define NoUndo         1103
#define NewGame        1104
#define GameOverScore  1105
#define NewDefaults    1106
#define ShowSeed       1107

/* Options form */
#define OptForm       1100

#define OptHighScore  1102
#define OptCleanBoard 1103
#define OptLeaveBoard 1104
#define OptLowScore   1105

#define OptWidth      1106
#define OptHeight     1108
#define OptColors     1111

#define OptOk         1130
//#define OptDef        1131
#define OptCancel     1132
//#define OptNewDef     1133
#define OptPurge      1134

#define OptBW         1135

#define PurgeAlert		1106
#define FlushAlert    1116

/* About form */
#define AboutForm 1200
#define AboutOk   1230

/* Hall of Fame form */
#define HOFForm  1300
#define HOFOk    1301
#define HOFEnter 1302 /* first field to enter */
#define HOFFlush 1311
#define HOFNew   1312

/* Seed form */
#define SeedForm  1400
#define SeedFld   1402
#define SeedOk    1404
#define SeedAbort 1405

/* Board size constants */
#define MINW 3
#define MAXW 22
#define MINH 3
#define MAXH 20
#define MINC 2
#define MAXC 9

#include <PalmOS.h>
#include "hofDB.h"

#define DEFW 16
#define DEFH 14
#define DEFC 5
#define DEFM modeHighScore

extern Boolean notifyChange;

extern UInt16 osVersion; // OS Version in format 0x0AB For Palm OS A.B
extern Boolean colorDevice;
extern Boolean bwMode;

VoidPtr GetObjectPtr( Word id );
/* Returns the pointer to the object with given id in the current form. */

#endif
