/*
 * 7.3.1999 by Holger Klawitter
 */
#ifndef _hofDB_h_
#define _hofDB_h_

#define SCORES 5
#define NAMELEN 11

#include "Compat.h"

typedef struct {
  Char name[NAMELEN];
  Int32 score;
  Int16 seed;
} HofEntry;

typedef enum {
  modeHighScore = 'A',
  modeCleanBoard,
  modeLeaveBoard,
  modeLowScore
} PlayModes;

typedef struct {
  UInt16 width;
  UInt16 height;
  UInt16 colors;
  UInt16 mode;
  HofEntry tbl[SCORES];
} Hof;

#define HofDBName "HMakiDB"
#define HofDBID 'hk02'
#define HofDBType 'Maki'

Int GetHof( Word w, Word h, Word c, Word m, Hof* hof );
void GetHofByIdx( Int idx, Hof* hof );
void PutHof( Hof* h );
void DelHof( Word w, Word h, Word c, Word m );

Int GetHofListSize();
Boolean OpenHofDB();
void CloseHofDB();
void KillOldHofDB();
void PurgeHOF();

#endif
